#include <iostream>
#include <vector>
#include "vectorIOint.hh"
using namespace std; 


int i_cerca_dic(const vector<int>& v, int n, 
           int esq, int dre) 
/* Pre: v.size()>0, v ordenado crecientemente,
0 <= esq <= v.size(), -1 <= dre < v.size(), y
esq <= dre + 1 */
/* Post: Si n esta en v[esq...dre], el resultado 
es una posicion p tal que esq <= p <= dre y 
v[p]=n; en otro caso, el resultado es -1. */
{
  int p; 
  if (esq > dre) p = -1; 
  else {
    int m = (esq+dre)/2;
    if (v[m] == n) p = m;
    else if (v[m] < n) p = i_cerca_dic(v,n,m+1,dre);
    /* HI: Si n esta en v[m+1...dre], el resultado 
     es una posicion p tal que m+1 <= p <= dre y 
     v[p]=n; en otro caso, el resultado es -1. */
    else p = i_cerca_dic(v,n,esq,m-1);
    /* HI: Si n esta en v[esq...m-1], el resultado 
     es una posicion p tal que esq <= p <= m-1 y 
     v[p]=n; en otro caso, el resultado es -1. */
  }
  return p;
}


int cerca(const vector<int>& v, int n) 
/* Pre: v.size()>0, v ordenado crecientemente */
/* Post: Si n esta en v, el resultado es una 
posicion p tal que v[p]=n; en otro caso, el 
resultado es -1. */
{
  return i_cerca_dic(v,n,0,int(v.size())-1);
}


int main() {
  vector<int> t; 
  lee(t); 
  int x; 
  cin >> x;
  cout << ( (-1 != cerca(t,x))? "esta" : "no esta") << endl; 
}
